Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 07 Apr 2023 16:36:35 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear [Customer Service],

I am writing to inform you that I would like to cancel my recent order # 9422742528 . Unfortunately, I have not received the package yet despite the promised delivery date has already passed by over nine days.

I am extremely disappointed with this situation since I was counting on the product for my personal use, and the delay has caused a significant inconvenience for me. Due to the extended delay, I will no longer be requiring the product, and I would like to request a full refund of my payment.

I hope you understand my concern and take the necessary action immediately to process the cancellation and refund. Kindly confirm the cancellation and provide me with an estimated time for the refund process.

Thank you for your attention to this matter, and I look forward to hearing back from you soon.

Sincerely,

Harshad https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6008890